Debian Bug report logs - #399354
RM: libffm -- RoQA; no users

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Adam C Powell IV <hazelsct@debian.org>

Date: Fri, 17 Nov 2006 18:18:10 UTC

Severity: normal

Tags: moreinfo

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#399101; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Cc: Debian Alpha <debian-alpha@lists.debian.org>
Subject: O: ccc, cxx, libots, cpml, cxml, cfal, cfalrtl, libffm
Date: Sat, 18 Nov 2006 03:10:13 +0900
Package: wnpp

Greetings,

I'm afraid my last piece of alpha hardware has gone out the door, and I
am no longer a linux-alpha or debian-alpha user. :-(  I'll have fond
memories of the machines and of lists like this one and linux-alpha, as
this was my first Linux platform, and my demonstration of its
performance/price in the late 90s initiated a Linux transition at my
former employer, in no small part thanks to the volunteer help I got,
and hopefully gave back.

Oh well.  More importantly for this list, I am no longer able to
maintain the DEC->Compaq->HP alpha compiler and math library installers,
nor the "free fast math" libffm of Goto and Wesner.  Unfortunately this
means I need to orphan them, and hope they find a maintainer.

libffm should be in good shape and, as far as I know, need little to no
maintenance at all, unless someone wants to add to the library.
Upstream has long since stopped supporting it, and though some of its
code has migrated to glibc, it has some unique and extremely
fast/powerful vectorized functions.  For example dsqrtiv() very rapidly
performs 1/sqrt(x) for an array of doubles; this function on the fastest
alpha may still be faster than glibc on the fastest Xeon or Opteron for
this purpose.

As for the others, because a three year campaign to get Compaq to let me
distribute the non-free libraries and (encrypted) compilers hit dead
ends, the biggest maintenance hassle is updating the debconf templates
to keep track of the elusive download URLs.  They also have template
translation bugs open which I never got to, and which will be dealt with
by NMUs around the end of this month; apologies to the translation
authors for the delay.  These too are long since abandoned by upstream,
and gcc/glibc have been catching up to them in performance, so their
need is not clear at this point.

Sorry about the sudden nature of this right before the etch release.  I
should have anticipated the effect of this change on my packages long
ago and done something preemptive about it. :-(

Best wishes for the continued upkeep of this great architecture and
platform!

Regards,
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://www.take6.com/albums/greatesthits.html



Bug 399101 cloned as bugs 399349, 399350, 399351, 399352, 399353, 399354. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title to `RM: libffm -- RoQA; no users' from `O: libffm -- Fast math library routines for DEC Alpha'. Request was from Luk Claes <luk@ries.debian.org> to control@bugs.debian.org. (Wed, 12 Sep 2007 21:39:06 GMT) Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Luk Claes <luk@ries.debian.org> to control@bugs.debian.org. (Wed, 12 Sep 2007 21:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#399354; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #18 received at 399354@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 399354@bugs.debian.org
Cc: hazelsct@debian.org
Subject: libffm to be removed, but illuminator depends on it
Date: Sat, 15 Sep 2007 23:49:29 +0200
Hi Adam

You orphaned libffm as you were not using alpha anymore. As noone
stepped up to maintain it and according to popcon it has very few
users, it is probably going to be removed.

I guess illuminator will still work if you would drop the libffm
dependency as it's only a dependency on alpha, the only arch where
libffm is available? Though if you do think libffm should not be 
dropped from the archive, can you please actively look for a
maintainer, TIA?

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#399354; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #23 received at 399354@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Luk Claes <luk@debian.org>
Cc: 399354@bugs.debian.org
Subject: Re: libffm to be removed, but illuminator depends on it
Date: Sun, 16 Sep 2007 23:12:23 -0400
Hello Luk,

On Sat, 2007-09-15 at 23:49 +0200, Luk Claes wrote:
> Hi Adam
> 
> You orphaned libffm as you were not using alpha anymore. As noone
> stepped up to maintain it and according to popcon it has very few
> users, it is probably going to be removed.
> 
> I guess illuminator will still work if you would drop the libffm
> dependency as it's only a dependency on alpha, the only arch where
> libffm is available? Though if you do think libffm should not be 
> dropped from the archive, can you please actively look for a
> maintainer, TIA?

Yes, illuminator will work fine without libffm, just a bit slower on
alpha.  I am preparing a new upstream illuminator release (I'm upstream
too), and will make the change when I release, package, and upload it,
probably within a week or two.

Is this soon enough for you?

Thanks,
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting using open source tools
http://www.opennovation.com/





Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#399354; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #28 received at 399354@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: 399354@bugs.debian.org
Subject: Re: libffm to be removed, but illuminator depends on it
Date: Mon, 17 Sep 2007 07:36:36 +0200
On Sun, Sep 16, 2007 at 11:12:23PM -0400, Adam C Powell IV wrote:
> Hello Luk,

> On Sat, 2007-09-15 at 23:49 +0200, Luk Claes wrote:
> > You orphaned libffm as you were not using alpha anymore. As noone
> > stepped up to maintain it and according to popcon it has very few
> > users, it is probably going to be removed.
> > 
> > I guess illuminator will still work if you would drop the libffm
> > dependency as it's only a dependency on alpha, the only arch where
> > libffm is available? Though if you do think libffm should not be 
> > dropped from the archive, can you please actively look for a
> > maintainer, TIA?
> 
> Yes, illuminator will work fine without libffm, just a bit slower on
> alpha.  I am preparing a new upstream illuminator release (I'm upstream
> too), and will make the change when I release, package, and upload it,
> probably within a week or two.
> 
> Is this soon enough for you?

Yes, that's fine.

Cheers

Luk




Tags added: moreinfo Request was from Joerg Jaspert <joerg@debian.org> to control@bugs.debian.org. (Fri, 23 Nov 2007 10:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#399354; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #35 received at 399354@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@ganneff.de>
To: 399354@bugs.debian.org
Cc: debian-qa <debian-qa@lists.debian.org>
Subject: needs more work
Date: Fri, 23 Nov 2007 11:41:21 +0100
Hi

Checking reverse dependencies...
** libluminate7 has an unsatisfied dependency on alpha: libffm0.28
** illuminator-demo has an unsatisfied dependency on alpha: libffm0.28
** illuminator has an unsatisfied build-dependency: libffm-dev
Dependency problem found.
Continue (y/N)? 

Needs that fixed before I do the removal.

-- 
bye Joerg
SUSE = Soll Unix Sein, Eigentlich.




Bug 399354 cloned as bug 452571. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Fri, 23 Nov 2007 19:00:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#399354; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #42 received at 399354@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 399354@bugs.debian.org, debian-alpha@lists.debian.org
Cc: Adam C Powell IV <hazelsct@debian.org>
Subject: Debian: removal of libffm (#399354): info / maintainer / work needed
Date: Wed, 28 Nov 2007 15:50:22 +0930
[Message part 1 (text/plain, inline)]
Hi all,

libffm (fast math library for alpha) may be removed from Debian:

http://bugs.debian.org/399354

Is it useful to have libffm on alpha? Is the libm from glibc 2.7 slower
than the routines from libffm? If so, perhaps they should be ported to
and merged into glibc? Is there anyone with alpha assembly skills who
would like to attempt this task?

Adam, do you still intend to remove libffm from the illuminator deps?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#399354; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #47 received at 399354@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: 399354@bugs.debian.org, debian-alpha@lists.debian.org
Subject: Re: Debian: removal of libffm (#399354): info / maintainer / work needed
Date: Wed, 28 Nov 2007 15:35:43 -0500
On Wed, 2007-11-28 at 15:50 +0930, Paul Wise wrote:
> Hi all,
> 
> libffm (fast math library for alpha) may be removed from Debian:
> 
> http://bugs.debian.org/399354
> 
> Is it useful to have libffm on alpha? Is the libm from glibc 2.7 slower
> than the routines from libffm? If so, perhaps they should be ported to
> and merged into glibc? Is there anyone with alpha assembly skills who
> would like to attempt this task?

The feature of libffm that I used is its vectorized operations like
dsqrtv and dsqrtiv (double precision inverse square root, vectorized)
which can run just in a few clocks per operation.  This was great for
illuminator's semi-transparent software rendering engine, which is why I
stepped up to maintain it.  But it's not part of glibc, and probably
won't be.

If there are other useful parts, they've probably made their way into
glibc libm in the years since they were discussed on axp-list@redhat.com

Too bad my alpha died or I'd still keep it up. :-(

> Adam, do you still intend to remove libffm from the illuminator deps?

D'oh!  Yes, I do.  Will take care of this soon.

Cheers,
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/





Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#399354; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #52 received at 399354@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: 399354@bugs.debian.org, debian-alpha@lists.debian.org
Subject: Re: Debian: removal of libffm (#399354): info / maintainer / work needed
Date: Thu, 29 Nov 2007 08:03:03 +0930
[Message part 1 (text/plain, inline)]
On Wed, 2007-11-28 at 15:35 -0500, Adam C Powell IV wrote:

Thanks for the explanations.

> Too bad my alpha died or I'd still keep it up. :-(

Perhaps you could use the developer/porter machine?

http://db.debian.org/machines.cgi?host=albeniz

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam C Powell IV <hazelsct@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 399354-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 399354-close@bugs.debian.org
Cc: libffm@packages.debian.org, libffm@packages.qa.debian.org
Subject: Bug#399354: fixed
Date: Thu, 14 Feb 2008 15:15:06 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    libffm |     0.28-6 | source
libffm-dev |     0.28-6 | alpha
libffm0.28 |     0.28-6 | alpha

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399354@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Anthony Towns (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Mar 2008 07:33:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:09:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.